<?php
if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( 'init.php' );
}

include( 'sessioninc.php' );


if ($_POST['action'] == '' or !$_POST['action']) {

	$t->assign('step','1');

} else {

	if ($_POST['action'] == get_lang('cancel_opt01')) {
	/* Cancel membership */

		$username = $osDB->getOne('select username from ! where id = ?',array( USER_TABLE, $_SESSION['UserId'] ) ) ;

		$osDB->query('update ! set status=?, active=?, regdate = ? where id = ?', array( USER_TABLE, 'cancel', 0, time(), $_SESSION['UserId'] ) );

		if ($config['forum_installed'] != '' && $config['forum_installed'] != 'None') {
			include_once(  FORUM_DIR . 'forum_inc.php' );

		    include_once(FORUM_DIR.$config['forum_installed'] . '_forum.php');

			forum_cancel($username);
		}

		$osDB->query( 'DELETE FROM ! WHERE userid = ?', array( ONLINE_USERS_TABLE, $_SESSION['UserId'] ) );

		/* Delete from Shoutbox and Entries */
		$osDB->query( 'DELETE FROM ! WHERE from_user = ?', array( SHOUTBOX_TABLE, $_SESSION['UserId'] ) );

		session_destroy();

		session_start();

		$t->assign('step','2');

	} else {

		$t->assign('step','3');

	}

}

$t->assign('lang',$lang);

$t->assign( 'rendered_page', $t->fetch( 'cancel.tpl' ) );

$t->display('index.tpl');

?>